Bug 884666 - sudo: if first full refresh fails, schedule another first full refresh
Summary: sudo: if first full refresh fails, schedule another first full refresh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Nikolai Kondrashov
URL:
Whiteboard:
Depends On:
Blocks: 895654
TreeView+ depends on / blocked
 
Reported: 2012-12-06 14:20 UTC by Dmitri Pal
Modified: 2020-05-02 17:08 UTC (History)
5 users (show)

Fixed In Version: sssd-1.9.2-51.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:42:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2731 None None None 2020-05-02 17:08:47 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-12-06 14:20:44 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1689

When SSSD starts we need to perform sudo full refresh in order to obtain current USN values. Without these values, smart refresh won't work correctly.

At the moment, if the first full refresh fails because of server error (e.g. offline), we just continue as planned - i.e. schedule new full refresh after a long period (like 6 hours) and schedule smart refresh in short period (15 minutes). This means that the smart refresh won't work for several hours, until the full refresh is performed.

We should reset the state and try to perform the first full refresh again after a short interval.

Comment 1 Jakub Hrozek 2012-12-11 17:49:30 UTC
Oops, wrong bug. Flipping back to assigned, I confused this bug with one that fixes #1682.

Comment 3 Nikolai Kondrashov 2013-01-09 13:40:28 UTC
Verified as fixed with the following packages:

libsss_idmap-1.9.2-59.el6.x86_64
sssd-client-1.9.2-59.el6.x86_64
sudo-1.8.6p3-6.el6.x86_64
sssd-1.9.2-59.el6.x86_64
libsss_sudo-1.9.2-59.el6.x86_64

Relevant sudo suite output:

:: [   PASS   ] :: full_refresh_init_retry

Comment 4 errata-xmlrpc 2013-02-21 09:42:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.